Katello - Bug #6078

-1 should not be used to represent "unlimited" for activation keys and host collections

06/05/2014 06:26 PM - Walden Raines

Status: Closed

Priority: Normal

Assignee: Walden Raines

Category: Web Ul

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1105175 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1105175
Description of problem:

Created a host-collection whose value was set to '10' for content-host limit. Later, | updated the limit with "-1", as soon as | type "-1"

the text box closes and points to "unlimited" checkbox.
So -1 shouldn't be allowed for content host limit.

Version-Release number of selected component (if applicable):
sat6 beta snap8 (Satellite-6.0.3-RHEL-6-20140604.0)

How reproducible:
always

Steps to Reproduce:

1. create host collection with limit 10
2. update the limit with -1

3.

Actual results:
on updating the limit with -1, ticks the checkbox to unlimited

Expected results:
user shouldn't be allowed to set limit to -1

Additional info:
A related bz #848564

Related issues:
Has duplicate Katello - Bug #6127: user shouldn't be allowed to update the co... Duplicate

06/09/2014

Associated revisions

Revision 607f4e7f - 07/08/2014 01:23 PM - Walden Raines
Fixes #6078, #6300, #6514, BZ1105175, BZ1097054, BZ1101586: fix limit fields

This commit changes the way we handle limited fields such as Content Host
number of systems and Activation Key usage limit. Instead of representing
"unlimited" as -1 we now represent it as a boolean on the object.

http://projects.theforeman.org/issues/6078
http://projects.theforeman.org/issues/6300
http://projects.theforeman.org/issues/6514
https://bugzilla.redhat.com/show_bug.cgi?id=1105175
https://bugzilla.redhat.com/show_bug.cgi?id=1097054
https://bugzilla.redhat.com/show_bug.cqi?id=1101586

05/17/2024

1/3



https://bugzilla.redhat.com/show_bug.cgi?id=1105175
http://projects.theforeman.org/issues/6078
http://projects.theforeman.org/issues/6300
http://projects.theforeman.org/issues/6514
https://bugzilla.redhat.com/show_bug.cgi?id=1105175
https://bugzilla.redhat.com/show_bug.cgi?id=1097054
https://bugzilla.redhat.com/show_bug.cgi?id=1101586

Revision 5b00bb70 - 07/08/2014 01:23 PM - Walden Raines
Fixes #6078, #6300, #6514, BZ1105175, BZ1097054, BZ1101586: fix limit fields

This commit changes the way we handle limited fields such as Content Host
number of systems and Activation Key usage limit. Instead of representing
"unlimited" as -1 we now represent it as a boolean on the object.

http://projects.theforeman.org/issues/6078
http://projects.theforeman.org/issues/6300
http://proj .theforeman.org/i 14
https://bugzilla.redhat.com/show_bug.cgi?id=1105175
https://bugzilla.redhat.com/show_bug.cgi?id=1097054
https://bugzilla.redhat.com/show_bug.cgi?id=1101586

Revision 5f406a71 - 07/08/2014 02:26 PM - Walden Raines
Merge pull request #4360 from waldenraines/6300

Fixes #6078, #6300, #6514, BZ1105175, BZ1097054, BZ1101586: fix limit fields

Revision 7434b38a - 07/08/2014 02:26 PM - Walden Raines
Merge pull request #4360 from waldenraines/6300

Fixes #6078, #6300, #6514, BZ1105175, BZ1097054, BZ1101586: fix limit fields

History

#1 - 06/06/2014 12:43 PM - Eric Helms
- Assignee set to Walden Raines
- Target version set to 45

- Triaged set to Yes

#2 - 06/09/2014 07:06 PM - Walden Raines

- Has duplicate Bug #6127: user shouldn't be allowed to update the content-host limit to -1 for selected host-colection added

#3 - 06/16/2014 02:58 PM - Eric Helms
- Target version deleted (45)

#4 - 06/25/2014 06:29 PM - Walden Raines

- Subject changed from user shouldn't be allowed to update the content-host limit to -1 for selected host-colection to -1 should not be used to represent
"unlimited”

- Priority changed from Low to Normal

- Target version set to 49

Changing summary this to reflect system-wide nature of problem.

For both activation keys and host collections we should not use -1 to represent "unlimited”. This issue captures the following work:
e Fix the client side Ul so that only > 1 limits can be sent

¢ Fix the server side so that "unlimited" is represented as a boolean and that limit is ignored if true
e Check that candlepin integration still works

#5 - 06/25/2014 06:30 PM - Walden Raines
- Subject changed from -1 should not be used to represent "unlimited” to -1 should not be used to represent "unlimited” for activation keys and host

collections

#6 - 06/26/2014 07:24 PM - Walden Raines

- Status changed from New to Assigned

#7 - 06/27/2014 04:13 PM - Walden Raines
- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4360

05/17/2024 2/3


http://projects.theforeman.org/issues/6078
http://projects.theforeman.org/issues/6300
http://projects.theforeman.org/issues/6514
https://bugzilla.redhat.com/show_bug.cgi?id=1105175
https://bugzilla.redhat.com/show_bug.cgi?id=1097054
https://bugzilla.redhat.com/show_bug.cgi?id=1101586
https://github.com/Katello/katello/pull/4360

#8 - 07/08/2014 03:03 PM - Walden Raines
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|607f4e7fdeefa10091b24a8a06fd2a45939c6038.

#9 - 08/22/2014 08:32 AM - Eric Helms

- translation missing: en.field_release set to 13
